> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ziik.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post users



## OpenAPI

````yaml /openapi.yaml post /users
openapi: 3.0.0
info:
  title: Ziik API
  version: '1.0'
servers: []
security: []
tags:
  - name: Auth
    description: Auth
  - name: Posts
    description: Posts
  - name: Counters
    description: Counters
  - name: Groups
    description: Groups
  - name: Languages
    description: Languages
  - name: Timezones
    description: Timezones
  - name: Units
    description: Units
  - name: User unit memberships
    description: User unit memberships
  - name: Users
    description: Users
  - name: User types
    description: User types
  - name: Conversations
    description: Conversations
paths:
  /users:
    post:
      tags:
        - Users
      operationId: a1fce870c566eb5fc0cf3178ec5d2fed
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - first_name
                - last_name
                - email
                - unit
              properties:
                first_name:
                  type: string
                last_name:
                  type: string
                email:
                  type: string
                  format: email
                reference:
                  type: string
                  nullable: true
                unit:
                  type: integer
                userTypes:
                  type: array
                  items:
                    type: integer
                welcome:
                  description: Send welcome email
                  type: boolean
                  default: true
              type: object
      responses:
        '201':
          description: User created
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/User'
                type: object
        '422':
          description: Validation error
components:
  schemas:
    User:
      properties:
        content_type:
          type: string
          example: user
        id:
          type: integer
          example: 1
        reference:
          type: string
          example: USR-123
        name:
          type: string
          example: John Doe
        first_name:
          type: string
          example: John
        last_name:
          type: string
          example: Doe
        title:
          type: string
          example: Manager
        active:
          type: boolean
          example: true
        meta_field_0:
          type: string
          nullable: true
        meta_field_1:
          type: string
          nullable: true
        meta_field_2:
          type: string
          nullable: true
        meta_field_3:
          type: string
          nullable: true
        meta_field_4:
          type: string
          nullable: true
        permissions:
          description: Permission flags keyed by permission name
          type: object
        avatar:
          description: Full avatar file representation or null
          type: object
          nullable: true
        unit:
          description: Primary unit information
          type: object
          nullable: true
        physicalUnit:
          description: Physical unit information
          type: object
          nullable: true
        department:
          description: Primary department information
          type: object
          nullable: true
        userTypes:
          description: User types for the user
          type: array
          items:
            type: object
        memberGroups:
          description: Groups the user is a member of
          type: array
          items:
            type: object
        memberUnits:
          description: Units the user is a member of
          type: array
          items:
            type: object
        specialties:
          description: User specialties/categories
          type: array
          items:
            type: object
        twoFactor:
          description: Two-factor authentication settings when included
          type: object
          nullable: true
        provider:
          description: Names of external providers managing password
          type: array
          items:
            type: string
          nullable: true
        all_integrations:
          description: All integrations for this user
          type: array
          items:
            type: object
        devices:
          description: User devices when loaded
          type: array
          items:
            type: object
        participant_type:
          description: Participant type when used in conversations
          type: string
          nullable: true
        url:
          type: string
          example: api/users/1
      type: object

````